\documentclass[border=10pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}

\newcommand{\squaresize}{2cm}

\tikzset{%
	>={Latex[width=2mm,length=2mm]},
	% Specifications for style of nodes:
	base/.style = {rectangle, draw=black,
		text width=\squaresize, minimum height=\squaresize,
		text centered, align=center},
		      vpus/.style = {base, fill=gray!10, minimum height=\squaresize},
		      core/.style = {base, fill=gray!0},
	         cache/.style = {base, fill=gray!10},
	           cha/.style = {base, fill=gray!20},
	     invisible/.style = {base, fill=white!0, draw=none},
}

\begin{document}
	% Drawing part, node distance is 1.5 cm and every node
	% is prefilled with white background
	\begin{tikzpicture}[node distance=0.0cm and 0.0cm,
	every node/.style={fill=white}, align = left]
	% Specification of nodes (position, etc.)
	\node (vpu0)		[vpus]					{$2\times$ VPUs};
	\node (cha)			[cha, right=of vpu0]	{CHA\\\scriptsize(\textit{Tag Directory} + \textit{Mesh Logic})};
	\node (vpu1)		[vpus, right=of cha]	{$2\times$ VPUs};

	\node (core0)		[core, below=of vpu0]	{\textit{Core}};
	\node (cache)		[cache, right=of core0]	{1 MB L2 caché};
	\node (core1)		[core, right=of cache]	{\textit{Core}};

%	\node (invisible0)			[invisible, minimum width = 0.3 \squaresize] {};
%	\node (invisible1)			[invisible, right= of invisible0, minimum width = 0.3 \squaresize] {};
%
%	\node (mcdram1)				[mcdram, right=of invisible1] {MCDRAM};
%	\node (mcdram2)				[mcdram, right= of mcdram1] {MCDRAM};
%
%	\node (invisible2)			[invisible, right= of mcdram2] {$\uparrow\downarrow$};
%	\node (invisible3)			[invisible, right= of invisible2] {};
%
%	\node (mcdram3)				[mcdram, right= of invisible3] {MCDRAM};
%	\node (mcdram4)				[mcdram, right= of mcdram3] {MCDRAM};
%
%	\node (invisible4)			[invisible, right= of mcdram4, minimum width = 0.3 \squaresize] {};
%	\node (invisible5)			[invisible, right= of invisible4, minimum width = 0.3 \squaresize] {};


	\end{tikzpicture}
\end{document}
